Bug Hunting Session
Bug 73588 - EDITING:In Calc when TAB direction is RTL, text remains Right-aligned.
Summary: EDITING:In Calc when TAB direction is RTL, text remains Right-aligned.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: All Linux (All)
: high normal
Assignee: HannahL
URL:
Whiteboard: target:4.2.4
Keywords: bibisectRequest, regression
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2014-01-14 07:14 UTC by Abdulaziz Ayed
Modified: 2015-12-15 22:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (2.11 KB, image/png)
2014-01-14 07:14 UTC, Abdulaziz Ayed
Details
test file (11.11 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-01-14 07:15 UTC, Abdulaziz Ayed
Details
screenshot (2.11 KB, image/png)
2014-01-14 07:18 UTC, Abdulaziz Ayed
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Abdulaziz Ayed 2014-01-14 07:14:45 UTC
Created attachment 92014 [details]
screenshot

Hi
when write LTR string in RTL tab it is remains right-aligned ..


I attached file with RTL + LTR test to test.


Version: 4.3.0.0.alpha0+
Build ID: d6f9ddb0aaa3fd9e3877f94a3147c68dd64bc77e
system:Linux-ubuntu 13.04 64bit
Comment 1 Abdulaziz Ayed 2014-01-14 07:15:27 UTC
Created attachment 92015 [details]
test file
Comment 2 Abdulaziz Ayed 2014-01-14 07:18:17 UTC
Created attachment 92016 [details]
screenshot
Comment 3 Abdulaziz Ayed 2014-01-14 07:42:25 UTC
this issue not exist in 4.1 
I think there is a regression
Comment 4 Joel Madero 2014-01-31 15:52:32 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version: 4.2.0.3 rc
 Date:   Sun Dec 15 23:07:57 2013 +0100
Platform: Ubuntu Linux 13.04

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
As I've been able to confirm this problem I am marking as:

New (confirmed)
Normal - can prevent high quality work especially if you send a document made in 4.1 to someone using 4.2, you'll see different results
High - regression

Keywords - regression

Whiteboard Status - ConfirmedRegression, bibisectrequest

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 5 Kohei Yoshida 2014-04-03 17:47:29 UTC
The repo is not being synced to fdo so we are not getting a commit notification.  But this has been fixed with the following commit

https://gerrit.libreoffice.org/gitweb?p=core.git;a=commitdiff;h=036b1fccbfb87a1aab36632843deb29e0a70630f;hp=364c989e2e4f1f1897408882b2887a2bfb09a306

from Hannah Lyhne.
Comment 6 Kohei Yoshida 2014-04-03 17:48:37 UTC
Assigning this to the one who fixed it, and marking it fixed.
Comment 7 Commit Notification 2014-04-11 04:05:23 UTC
Hannah Lyhne committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a2c3371f3ca1cc05732041c96cff9bf494bddb6&h=libreoffice-4-2

fdo#73588: fix default alignment in RTL mode.


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-15 22:21:50 UTC
Migrating Whiteboard tags to Keywords: (bibisectRequest)
Remove redundant 'ConfirmedRegression'
[NinjaEdit]